import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getCitiesService = createAsyncThunk(
  "GET_CITIES_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("city_operator/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
